/*
	Renders a UI vertex given the screen to viewport matrix
*/

precision highp float;

uniform mat4 ScreenToTarget;

attribute vec3 Position;
attribute vec4 Color;
attribute vec2 Tex0;

varying lowp vec4 Out_Color;
varying mediump vec2 Out_Tex0;

void main()
{
    gl_Position = vec4(Position,1) * ScreenToTarget;
    Out_Color = Color;
    Out_Tex0 = Tex0;
}